Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#3793 closed defect (fixed)

trace record tool does not build on Windows

Reported by: Chris Johns Owned by:
Priority: high Milestone: 5.1
Component: tool Version: 5
Severity: major Keywords:
Cc: Blocked By:
Blocking:

Description

The error is:

../trace/record/record-main-lttng.c:32:10: fatal error: sys/queue.h: No such file or directory
 #include <sys/queue.h>

This is with the version the RSB is using

Change History (4)

comment:1 Changed on 09/06/19 at 02:15:05 by Chris Johns

rtems-tools master is also broken ...

Waf: Leaving directory `D:/opt/rtems/rtems-tools.git/build'
../trace/record/record-client-base.cc:30:10: fatal error: arpa/inet.h: No such file or directory
 #include <arpa/inet.h>
          ^~~~~~~~~~~~~
compilation terminated.

Build failed

comment:2 Changed on 12/12/19 at 16:53:04 by Chris Johns

Resolution: wontfix
Status: newclosed

Fixed.

Last edited on 12/12/19 at 16:55:21 by Chris Johns (previous) (diff)

comment:3 Changed on 12/12/19 at 16:55:56 by Chris Johns

Resolution: wontfix
Status: closedreopened

Reopen to fix the close reason.

comment:4 Changed on 12/12/19 at 16:56:09 by Chris Johns

Resolution: fixed
Status: reopenedclosed
Note: See TracTickets for help on using tickets.